<?php defined('SYSPATH') or die('No direct script access.');
  
class Model_Teacher extends Model
{
    private $id;

    public static function with($id) {
        $t = new self();
        $t->id = (int) $id;
        return $t;
    }

    /** @return Model_Discipline[] */
    public function getDisciplines() {
        $semesterID = User::instance()->offsetGet('SemesterID');
        $sql = "CALL `GetDisciplinesForTeacher`(:id, :semesterID); ";
        $query = DB::query(Database::SELECT, $sql)
            ->param(':id', $this->id)
            ->param(':semesterID', $semesterID)
            ->execute();

        $list = [];
        foreach ($query as $data)
            $list[] = new Model_Discipline($data, true);

        return $list;
    }
}
