<?php defined('SYSPATH') or die('No direct script access.');

/**
 * Class Twig
 *
 * @property $HTML HTML
 * @property $Date Date
 * @property $URL URL
 * @property $UTF8 UTF8
 * @property $Text Text
 * @property $Rus RusLang
 * @property $Arr Arr
 * @property $Inflector Inflector
 * @property $System array[]
 */
class Twig extends Kohana_Twig
{
    public static function factory($file = NULL, array $data = NULL) {
        $twig = parent::factory($file, $data);
        $twig->HTML = new HTML;
        $twig->Date = new Date;
        $twig->URL = new URL;
        $twig->UTF8 = new UTF8;
        $twig->Text = new Text;
        $twig->Rus = new RusLang;
        $twig->Arr = new Arr;
        $twig->Inflector = new Inflector;
        $twig->System = array('Title' => ASSEMBLY_SYSTEM_NAME, 'Version' => ASSEMBLY_VERSION);
        return $twig;
    }
}